# Reel-y Spec-tackle-lure

## Fishing skill, fishing tweaks, and ... Danger?

You've fished...and fished...and fished. And you have little to show for all your effort. 

Reel-y Spec-tackle-lure adds a Fishing skill that improves your ability to hook fish as your skill increases.

It also adds some tweaks to fishing without radically altering the basics:

- Fish within range will begin to splash the surface when you cast your line to give you an idea if you've found a good location
- Fish are excited by your bait and will converge on your float faster & from farther away
- Fish won't spend as much time milling around or bottom feeding while you're fishing; they'll go after your bait more often
- Adjustable float size to make it larger and more visible in the water

**And a word of caution when deep-sea fishing ... the ocean can be a dangerous place. Be careful what you _fish_ for!**

## Configuration

### General

- **DetectionRadius**: The maximum distance from the fishing float to search for fish. Default is 25. Can be set from 10 to 50
- **FloatSize**: The size of the float. Increase to make the float larger and more visible in the water. Valheim default size is 1. Can be set from 1 to 3

### Utility

- **LogLevel**: Controls the level of information in the log
- **FishingSkillID**: The numeric identifier for the Fishing skill. Only change this if you have a conflict with another custom skill using ID 879. Can be set from 200 to 900. _Note that changing this value will reset your Fishing skill_

### In-game reconfiguration

You can use Configuration Manager (or similar) mod to change the configuration without exiting the game, and force Reel-y Spec-tackle-lure to update its configuration from the chat window (press Enter) then type:

    /reelyspectacklelure config 

You can also modify the detection radius and float size directly from the chat window using this syntax:

    /reelyspectacklelure detectionradius=40


## Compatibility issues & defects

- If you find a compatibility issue you can post it on NexusMods. Be sure to include the mod name and version you think may be incompatible.
- If you have a bug please report it on NexusMods. If you do post a bug report, please make sure to include the following:
    - Your version of Reel-y Spec-tackle-lure
    - What you were doing, or attempting to do when it happened
    - If it's repeatable - i.e., can you duplicate it?
    - The exact behavior you observed (or didn't observe)
    - If possible, a capture of the log file with errors (errors always begin with "ReelySpecTackleLure ...")

## Notes

- Reel-y Spec-tackle-lure won't spawn additional fish or radically change fishing mechanics. You still have to catch fish, although it gets easier as your skill increases.

- Shameless plugs for other mods:
    - WolfPack: Control all your tame creatures at once! https://www.nexusmods.com/valheim/mods/1549/
    - RequipMe: Instantly re-equip your best gear from your tombstone! https://www.nexusmods.com/valheim/mods/1615
	
- Your comments and feedback are always welcome. Please feel free to post or send a note on NexusMods.